Pular para o conteúdo

/api/v1/connections/{id}/send-message

POST
/api/v1/connections/{id}/send-message
curl --request POST \
--url https://api.endless.zaia.app/api/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-message \
--header 'Content-Type: application/json' \
--data '{ "content": { "text": "example" }, "externalId": "example", "identifier": "example" }'

Sends a message through a connection.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
content
required
Any of:
object
text
required
string
>= 1 characters
externalId
required
string
nullable
identifier
required
string
nullable

Message sent successfully.

Media typeapplication/json
object
message
required

An informative message for a call that has no effective result to be returned.

string
Examplegenerated
{
"message": "example"
}

Connection not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Failed to send message.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}